HEADSUP: OpenSSH 6.7 drops tcpwrapper support

Andrey Repin anrdaemon@yandex.ru
Tue Aug 19 19:05:00 GMT 2014


Greetings, Corinna Vinschen!

> Starting with the next OpenSSH version 6.7, which will be released soon,
> upstream removed support for tcp_wrappers/libwrap from the sources.

> While that's bad from a compatibility point of view, the upstream
> developers are adamant about this change for security reasons.

> So, if you configured /etc/hosts.allow and/or /etc/hosts.deny files in
> your Cygwin installation to block certain connections to your sshd
> service, you will have to find other means to do that ASAP:

> - Utilize the sshd_config Match rule.

> - Utilize your firewall.

Am I correct that this will only affect SSHD access control mechanics?
Not the socket redirection?


--
WBR,
Andrey Repin (anrdaemon@yandex.ru) 19.08.2014, <23:03>

Sorry for my terrible english...


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list